Subject: Re: bug#6942: 24.0.50; Uses 100% CPU and eats memory with trivial C++ code
From: Óscar Fuentes <[email-masked]>
To: Alan Mackenzie <[email-masked]>
Cc: [email-masked], Chong Yidong <[email-masked]>, Nathaniel Flath <[email-masked]>
Date: Wed, 15 Sep 2010 21:39:27 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Alan.

Alan Mackenzie <[email-masked]> writes:

>> > emacs -Q [ENTER]
>> > C-x C-f foo.cpp [ENTER]
>> > template <typename T,
>
>> > As soon as the comma is typed, Emacs hangs and starts eating several MB
>> > of RAM per second. Pressing C-g takes effect after a few seconds.
>
> I've just committed a fix, though I wasn't able to test it as thoroughly
> as I would like, because the trunk currently won't build.  :-(

Boostrapping did the trick for me.

> I'd appreciate a confirmation from you that the bug is actually fixed.
> Thanks in advance!

Yep, it works. Thanks!